commit:     ac9c41e0fcb271c4bcb72a16bfc56527929d5e67
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 18 21:44:10 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 18 22:44:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac9c41e0

dev-python/boto3: Bump to 1.20.38

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest                              |  1 +
 .../boto3/{boto3-9999.ebuild => boto3-1.20.38.ebuild}  | 18 +++++++++++-------
 dev-python/boto3/boto3-9999.ebuild                     | 18 +++++++++++-------
 3 files changed, 23 insertions(+), 14 deletions(-)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index e29eefedc9e7..597e8ac8f950 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,4 +10,5 @@ DIST boto3-1.20.33.tar.gz 459654 BLAKE2B 
bf2090e6af9cad5f4e9e5178d30e109c63c4031
 DIST boto3-1.20.34.tar.gz 460169 BLAKE2B 
d687bb3a90da0e8cd48e551dad68754edc97689350f43879c90e8c96470dc79d389b5332d06d079dd4d26f303d9260f1a83bfc2edfa2507e3a33020e4475e8f1
 SHA512 
ae13db5ed516a9166c14e72e078f45c911a9c16edc2e2d95dc296de09345fb311ecad92ec7615137b01edaae254d075b74e68c1c909a79b2eb1ac2416ab5bbad
 DIST boto3-1.20.35.tar.gz 460636 BLAKE2B 
4ec04ae5caac912beb4933727ef0f8f1266b9ab27788a98d7ae10fc8b19a79e3deeed0ce6c1156f12ad12062df24828909fff070813fae4efc705b5e7babc2b1
 SHA512 
59fcaf477d5d67d68dcc007d93391b71ad8d04d46fc3c098c3f0fb7c82806a1a37999bdb292a240862dbaf83a6c2890d947315d1d9a4faeae68fb9e896cae73b
 DIST boto3-1.20.37.tar.gz 461197 BLAKE2B 
4ae94815809401378bbd6c6b7774776c62436c3ae379be44b045105d00ffdebc6cfba1112ed6d4693662c6a00b5de53b4fcd1ea605a93cccb1406f3f983d8c9a
 SHA512 
368abbe51e814b5a8080323f436d8e0b5ea660b31abd77a49299afd6363c3d10e51883a3237f06799be53472c3e24c76f5ba3ece8cc9721b87fe3fb40ad8911f
+DIST boto3-1.20.38.tar.gz 461687 BLAKE2B 
8a2959be81279d20036f1f9da239260f3161f6b7f8c25716ad56075b354cc24bd555bbd32f5addf6e0cf3447676a54ee01f9f6a14e907214c248e1e20941e215
 SHA512 
73c080e466d2c45dcfb897e2d7390fa4c1acd93625791b6c6a96b8b48b9990aa4e5377486293e92701392faacfdeaa97579dbdc6f29a48ba5ddba0037533a4cf
 DIST boto3-1.20.5.tar.gz 439166 BLAKE2B 
c140e15e497e6cdf6b4b77bb99e0a0f5ac01d5b5793f8bfb210b52bbc09e39e6fe06a957951375e0795210dc1c3b2a0afd2f498bc88e449d9e6846f2b357f016
 SHA512 
2823466e4851684253d4ce42a8c34e5cbdad6d04c823040fe2cebdf0cffb14d5d3f40e28d57ebec14533fab04ba74f27c25f078ddb8791b8f52d0424e11b39fc

diff --git a/dev-python/boto3/boto3-9999.ebuild 
b/dev-python/boto3/boto3-1.20.38.ebuild
similarity index 71%
copy from dev-python/boto3/boto3-9999.ebuild
copy to dev-python/boto3/boto3-1.20.38.ebuild
index 666cbfa63e3f..48ea5aa483a1 100644
--- a/dev-python/boto3/boto3-9999.ebuild
+++ b/dev-python/boto3/boto3-1.20.38.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
@@ -17,7 +18,7 @@ if [[ "${PV}" == "9999" ]]; then
        BOTOCORE_PV=${PV}
 else
        SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
 
        # botocore is x.(y+3).z
        BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
@@ -36,7 +37,7 @@ BDEPEND="
 
 distutils_enable_sphinx docs/source \
        'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests nose
+distutils_enable_tests pytest
 
 python_prepare_all() {
        # don't lock versions to narrow ranges
@@ -45,12 +46,15 @@ python_prepare_all() {
                -e '/s3transfer/ d' \
                -i setup.py || die
 
-       # prevent an infinite loop
-       rm tests/functional/docs/test_smoke.py || die
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
 
        distutils-r1_python_prepare_all
 }
 
 python_test() {
-       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+       epytest tests/{functional,unit}
 }

diff --git a/dev-python/boto3/boto3-9999.ebuild 
b/dev-python/boto3/boto3-9999.ebuild
index 666cbfa63e3f..48ea5aa483a1 100644
--- a/dev-python/boto3/boto3-9999.ebuild
+++ b/dev-python/boto3/boto3-9999.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
@@ -17,7 +18,7 @@ if [[ "${PV}" == "9999" ]]; then
        BOTOCORE_PV=${PV}
 else
        SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
 
        # botocore is x.(y+3).z
        BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
@@ -36,7 +37,7 @@ BDEPEND="
 
 distutils_enable_sphinx docs/source \
        'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests nose
+distutils_enable_tests pytest
 
 python_prepare_all() {
        # don't lock versions to narrow ranges
@@ -45,12 +46,15 @@ python_prepare_all() {
                -e '/s3transfer/ d' \
                -i setup.py || die
 
-       # prevent an infinite loop
-       rm tests/functional/docs/test_smoke.py || die
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
 
        distutils-r1_python_prepare_all
 }
 
 python_test() {
-       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+       epytest tests/{functional,unit}
 }

Reply via email to